Adds random noise to the image

- « Gmagick::addimage

- Gmagick::annotateimage »

- PHP Manual
- Gmagick
- Adds random noise to the image

# Gmagick::addnoiseimage

(PECL gmagick >= Unknown)

Gmagick::addnoiseimage — Adds random noise to the image

### Description

public Gmagick::addnoiseimage(int `$noise_type`): Gmagick

Adds random noise to the image.

### Parameters

`noise_type`

  The type of the noise. Refer to this list of noise constants.

### Return Values

The Gmagick object with noise added.

### Errors/Exceptions

Throws an GmagickException on error.